
QGIS Application - Bug report #19610

DB Manager says "This is not a spatial table" to GPKG as Virtual Layer

2018-08-13 04:52 PM - Johannes Kroeger

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.2.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27437

Description

Grab https://transfer.sh/C5p04/Fahrradrouten.gml.gpkg (gone in two weeks, source is 

http://suche.transparenz.hamburg.de/dataset/velo-und-freizeitrouten-hamburg9?forceWeb=true, Datenlizenz Deutschland

Namensnennung 2.0, Freie und Hansestadt Hamburg, Behörde für Wirtschaft, Verkehr und Innovation, converted with ogr2ogr -f GPKG

-a_srs EPSG:25832 Fahrradrouten.gml.gpkg Fahrradrouten.gml).

Load the file in QGIS, choose to load the layer "Fahrradrouten Elberadweg" (bug should show with any of them I guess).

Works fine.

Now open DB Manager and navigate to the layer under "Virtual Layers".

DB Manager says "This is not a spatial table."

History

#1 - 2018-08-13 04:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

my bet is because the geometries are multi-*curve* and not multi-linestrings.

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
